public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which'.
@ 2019-07-24  0:49 rebecca
  2019-07-24 12:30 ` [edk2-devel] " Philippe Mathieu-Daudé
  0 siblings, 1 reply; 4+ messages in thread
From: rebecca @ 2019-07-24  0:49 UTC (permalink / raw)
  To: devel, jordan.l.justen, lersek, ard.biesheuvel; +Cc: Rebecca Cran

Signed-off-by: Rebecca Cran <rebecca@bsdio.com>
---
 OvmfPkg/build.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index e94aa2a37e..1c28e65404 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -174,11 +174,11 @@ case $PROCESSOR in
       # The user set the QEMU_COMMAND variable. We'll use it to run QEMU.
       #
       :
-    elif  [ -x `which qemu-system-i386` ]; then
+    elif command -v qemu-system-i386; then
       QEMU_COMMAND=qemu-system-i386
-    elif  [ -x `which qemu-system-x86_64` ]; then
+    elif command -v qemu-system-x86_64; then
       QEMU_COMMAND=qemu-system-x86_64
-    elif  [ -x `which qemu` ]; then
+    elif command -v qemu; then
       QEMU_COMMAND=qemu
     else
       echo Unable to find QEMU for IA32 architecture!
@@ -242,12 +242,12 @@ FV_DIR=$BUILD_ROOT/FV
 BUILD_ROOT_ARCH=$BUILD_ROOT/$BUILD_ROOT_ARCH
 QEMU_FIRMWARE_DIR=$BUILD_ROOT/QEMU
 
-if  [[ ! -f `which build` || ! -f `which GenFv` ]];
+if ! command -v build || ! command -v GenFv;
 then
   # build the tools if they don't yet exist. Bin scheme
   echo Building tools as they are not in the path
   make -C $WORKSPACE/BaseTools
-elif [[ ( -f `which build` ||  -f `which GenFv` )  && ! -d  $EDK_TOOLS_PATH/Source/C/bin ]];
+elif [[ ( $(command -v build) || $(command -v GenFv) ) && ! -d $EDK_TOOLS_PATH/Source/C/bin ]];
 then
   # build the tools if they don't yet exist. BinWrapper scheme
   echo Building tools no $EDK_TOOLS_PATH/Source/C/bin directory
-- 
2.22.0


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which'.
  2019-07-24  0:49 [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which' rebecca
@ 2019-07-24 12:30 ` Philippe Mathieu-Daudé
  2019-07-24 14:29   ` rebecca
  2019-07-24 21:50   ` rebecca
  0 siblings, 2 replies; 4+ messages in thread
From: Philippe Mathieu-Daudé @ 2019-07-24 12:30 UTC (permalink / raw)
  To: devel, rebecca, jordan.l.justen, lersek, ard.biesheuvel

Hi Rebecca,

On 7/24/19 2:49 AM, rebecca@bsdio.com wrote:
> Signed-off-by: Rebecca Cran <rebecca@bsdio.com>
> ---
>  OvmfPkg/build.sh | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
> index e94aa2a37e..1c28e65404 100755
> --- a/OvmfPkg/build.sh
> +++ b/OvmfPkg/build.sh
> @@ -174,11 +174,11 @@ case $PROCESSOR in
>        # The user set the QEMU_COMMAND variable. We'll use it to run QEMU.
>        #
>        :
> -    elif  [ -x `which qemu-system-i386` ]; then
> +    elif command -v qemu-system-i386; then
>        QEMU_COMMAND=qemu-system-i386
> -    elif  [ -x `which qemu-system-x86_64` ]; then
> +    elif command -v qemu-system-x86_64; then
>        QEMU_COMMAND=qemu-system-x86_64
> -    elif  [ -x `which qemu` ]; then
> +    elif command -v qemu; then
>        QEMU_COMMAND=qemu
>      else
>        echo Unable to find QEMU for IA32 architecture!
> @@ -242,12 +242,12 @@ FV_DIR=$BUILD_ROOT/FV
>  BUILD_ROOT_ARCH=$BUILD_ROOT/$BUILD_ROOT_ARCH
>  QEMU_FIRMWARE_DIR=$BUILD_ROOT/QEMU
>  
> -if  [[ ! -f `which build` || ! -f `which GenFv` ]];
> +if ! command -v build || ! command -v GenFv;
>  then
>    # build the tools if they don't yet exist. Bin scheme
>    echo Building tools as they are not in the path
>    make -C $WORKSPACE/BaseTools
> -elif [[ ( -f `which build` ||  -f `which GenFv` )  && ! -d  $EDK_TOOLS_PATH/Source/C/bin ]];
> +elif [[ ( $(command -v build) || $(command -v GenFv) ) && ! -d $EDK_TOOLS_PATH/Source/C/bin ]];

Why add $() ?

>  then
>    # build the tools if they don't yet exist. BinWrapper scheme
>    echo Building tools no $EDK_TOOLS_PATH/Source/C/bin directory
> 

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which'.
  2019-07-24 12:30 ` [edk2-devel] " Philippe Mathieu-Daudé
@ 2019-07-24 14:29   ` rebecca
  2019-07-24 21:50   ` rebecca
  1 sibling, 0 replies; 4+ messages in thread
From: rebecca @ 2019-07-24 14:29 UTC (permalink / raw)
  To: Philippe Mathieu-Daudé, devel, jordan.l.justen, lersek,
	ard.biesheuvel

On 2019-07-24 06:30, Philippe Mathieu-Daudé wrote:
>
>> -elif [[ ( -f `which build` ||  -f `which GenFv` )  && ! -d  $EDK_TOOLS_PATH/Source/C/bin ]];
>> +elif [[ ( $(command -v build) || $(command -v GenFv) ) && ! -d $EDK_TOOLS_PATH/Source/C/bin ]];
> Why add $() ?


They're needed when used in a test ([...] or [[...]]) statement. $()
replaces the older `` syntax.


-- 

Rebecca Cran


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which'.
  2019-07-24 12:30 ` [edk2-devel] " Philippe Mathieu-Daudé
  2019-07-24 14:29   ` rebecca
@ 2019-07-24 21:50   ` rebecca
  1 sibling, 0 replies; 4+ messages in thread
From: rebecca @ 2019-07-24 21:50 UTC (permalink / raw)
  To: Philippe Mathieu-Daudé, devel, jordan.l.justen, lersek,
	ard.biesheuvel

On 2019-07-24 06:30, Philippe Mathieu-Daudé wrote:
>
> Why add $() ?
>
>>  then
>>    # build the tools if they don't yet exist. BinWrapper scheme
>>    echo Building tools no $EDK_TOOLS_PATH/Source/C/bin directory
>>

I've sent another copy of this patch, in the v2 series of
OvmfPkg/build.sh changes.


-- 
Rebecca Cran


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2019-07-24 21:50 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-07-24  0:49 [PATCH] OvmfPkg/build.sh: use POSIX 'command -v' instead of 'which' rebecca
2019-07-24 12:30 ` [edk2-devel] " Philippe Mathieu-Daudé
2019-07-24 14:29   ` rebecca
2019-07-24 21:50   ` rebecca

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox